Package | Class | Tree | Deprecated | Index | Help
| EL 2.2 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.el
Class ValueExpression

    java.lang.Object
      javax.el.Expression
          javax.el.ValueExpression

All Implemented Interfaces:
  java.io.Serializable

    public abstract class ValueExpression

extends Expression

See Also:
  Serialized Form

Constructor Summary
`ValueExpression()`

Method Summary
`abstract java.lang.Class<?>` | `getExpectedType()`
`abstract java.lang.Class<?>` | `getType(ELContext context)`
`abstract java.lang.Object` | `getValue(ELContext context)`
`ValueReference` | `getValueReference(ELContext context)`
`abstract boolean` | `isReadOnly(ELContext context)`
`abstract void` | `setValue(ELContext context, java.lang.Object value)`

Methods inherited from class javax.el.Expression
`equals, getExpressionString, hashCode, isLiteralText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueExpression

    public ValueExpression()

Method Detail

### getExpectedType

    public abstract java.lang.Class<?> getExpectedType()

### getType

    public abstract java.lang.Class<?> getType(ELContext context)
                                        throws java.lang.NullPointerException,
                                               PropertyNotFoundException,
                                               ELException

  Throws:
    `java.lang.NullPointerException`
    `PropertyNotFoundException`
    `ELException`

### isReadOnly

    public abstract boolean isReadOnly(ELContext context)
                                throws java.lang.NullPointerException,
                                       PropertyNotFoundException,
                                       ELException

  Throws:
    `java.lang.NullPointerException`
    `PropertyNotFoundException`
    `ELException`

### setValue

    public abstract void setValue(ELContext context,
                                  java.lang.Object value)
                           throws java.lang.NullPointerException,
                                  PropertyNotFoundException,
                                  PropertyNotWritableException,
                                  ELException

  Throws:
    `java.lang.NullPointerException`
    `PropertyNotFoundException`
    `PropertyNotWritableException`
    `ELException`

### getValue

    public abstract java.lang.Object getValue(ELContext context)
                                       throws java.lang.NullPointerException,
                                              PropertyNotFoundException,
                                              ELException

  Throws:
    `java.lang.NullPointerException`
    `PropertyNotFoundException`
    `ELException`

### getValueReference

    public ValueReference getValueReference(ELContext context)

  Since:
    EL 2.2

Package | Class | Tree | Deprecated | Index | Help
| EL 2.2 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.